Up

# NSHelpPanel

### Authors

Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSHelpPanel class
2. Software documentation for the NSApplication(NSHelpPanel) category

# Software documentation for the NSHelpPanel class

## NSHelpPanel : NSPanel

> Declared in:
>   AppKit/NSHelpPanel.h

> Conforms to:
>   NSCoding

Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.
Method summary

- +attachHelpFile:markerName:to:
- +detachHelpFrom:
- +setHelpDirectory:
- +sharedHelpPanel
- +sharedHelpPanelWithDirectory:
- -addSupplement:inPath:
- -encodeWithCoder:
- -helpDirectory
- -helpFile
- -initWithCoder:
- -print:
- -showFile:atMarker:
- -showHelpAttachedTo:

### attachHelpFile: markerName: to:

+ (void) attachHelpFile: (NSString*)filename markerName: (NSString*)markerName to: (id)anObject;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### detachHelpFrom:

+ (void) detachHelpFrom: (id)anObject;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### setHelpDirectory:

+ (void) setHelpDirectory: (NSString*)helpDirectory;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### sharedHelpPanel

+ (NSHelpPanel*) sharedHelpPanel;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### sharedHelpPanelWithDirectory:

+ (NSHelpPanel*) sharedHelpPanelWithDirectory: (NSString*)helpDirectory;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### addSupplement: inPath:

- (void) addSupplement: (NSString*)helpDirectory inPath: (NSString*)supplementPath;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### helpDirectory

- (NSString*) helpDirectory;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### helpFile

- (NSString*) helpFile;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### print:

- (void) print: (id)sender;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### showFile: atMarker:

- (void) showFile: (NSString*)filename atMarker: (NSString*)markerName;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

### showHelpAttachedTo:

- (BOOL) showHelpAttachedTo: (id)anObject;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

# Software documentation for the NSApplication(NSHelpPanel) category

## NSApplication(NSHelpPanel)

> Declared in:
>   AppKit/NSHelpPanel.h

Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.
Method summary

- -orderFrontHelpPanel:

### orderFrontHelpPanel:

- (void) orderFrontHelpPanel: (id)sender;
Availability: OPENSTEP 4.0.0 removed at MacOS-X 10.0.0
Description forthcoming.

Up